import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select, Radio, notification } from 'antd';

import {
  SetServiceConfig
} from '@/services/webConfig/api';

const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible, listData } = props;
  const [loading, setLoading] = useState(false);
  const [form] = Form.useForm();
  const { Item } = Form;
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        setLoading(true);
        let obj = form.getFieldsValue();


      }
    });
  };


  useEffect(() => {
    if (type != '') {
      form.setFieldsValue({ ...formObj });
    }

  }, [visible]);


  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };

  const handleChange = (value) => {
    form.setFieldsValue({ schemename: value });
  }

  return (
    <Modal
      title='修改'
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      {visible && (
        <Form form={form} {...layout} >
          <Item
            label="表名"
            name="tableName"
            rules={[{ required: true, message: '请输入表名' }]}
          >
            <Input placeholder="请输入表名" allowClear />
          </Item>
          <Item
            label="别名"
            name="tableAlias"
            rules={[{ required: true, message: '请输入别名' }]}
          >
            <Input placeholder="请输入别名" allowClear />
          </Item>
          <Item
            label="样式"
            name="tableStyle"
            rules={[{ required: true, message: '请输入别名' }]}
          >
            <Radio.Group>
              <Radio value='大'>大(3)</Radio>
              <Radio value='中'>中(4)</Radio>
              <Radio value='小'>小(5)</Radio>
              <Radio value='较小'>较小(6)</Radio>
            </Radio.Group>
          </Item>
          <Item
            label="模板"
            name="officeTmpl"
            rules={[{ required: true, message: '请输入别名' }]}
          >
            <Input placeholder="请输入别名" allowClear />
          </Item>
          <Item
            label="接口"
            name="interfaceText"
            rules={[{ required: true, message: '请输入别名' }]}
          >
            <Input placeholder="请输入别名" allowClear />
          </Item>
        </Form>
      )}
    </Modal>
  );
};
export default AddModal;
