import qs from 'qs';
import { CITY_SERVICE, get, PUBLISH_SERVICE, post, postForm } from '../index';


//获取任务列表
export const taskOptionsList = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/TaskOptionsList`);

//获取设备类型
export const getIotDeviceType = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetIotDeviceType`);


//获取场景列表
export const algorithmList = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AlgorithmList`);


//获取设备列表
export const getEquipmentInfo = (query) =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/AcrossTable/GetEquipmentInfo?equipType=${query}`);

//获取指标列表
export const getQutaList = (query) =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/AcrossTable/GetQutaList?AcountName=${query.accountName}&&AddrSchemeID=${query.AddrSchemeID}`);

//获取场景列表
export const getSceneNameInfo = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetSceneNameInfo`);

//任务添加
export const addTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AddTaskOptions`, params);

//任务编辑
export const updateTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/UpdateTaskOptions`, params);

//任务删除
export const deleteTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/DeleteTaskOptions`, params);


//预测列表
export const getPredictInfo = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetPredictInfo`);

//预测新增
export const addPredictOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AddPredictOptions`, params);

//预测编辑
export const editPredictOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/EditPredictOptions`, params);

//预测删除
export const deletePredictOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/DeletePredictOptions?PredictID=${params}`);

//策略下发列表
export const getStrategyInfo = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetStrategyInfo`);

//策略下发增加
export const addStrategyOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AddStrategyOptions`, params);

//策略下发编辑
export const editStrategyOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/EditStrategyOptions`, params);

//策略下发删除
export const deleteStrategyOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/DeleteStrategyOptions?StrategyId=${params}`);

//获取预测设备
export const getPredictDevice = (params) =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetPredictDevice?DeviceType=${params}`);

//获取预测指标
export const getPredictDevicePoint = (params) =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetPredictDevicePoint?DeviceType=${params.deviceType}&DeviceCode=${params.DeviceCode}`);